Message d'erreur sur "Mettre à jour le système"

Mon serveur YunoHost

Matériel: Vieux Laptop Sony 32 bits
Version de YunoHost: 11.0.10.2
J’ai accès à mon serveur : En SSH | Par la webadmin | En direct avec un clavier/écran
Pas de contexte particulier

Description du problème

Bonjour,
Tous mes voeux de santé et d’amour à la communauté !
Je cherche à mettre à jour le système et j’ai les messages d’erreur suivants. Je ne sais pas les interpréter.
Merci pour votre aide.
Fifou

YunoHost a rencontré une erreur interne
Vraiment désolé de cela.
Vous devez chercher de l'aide sur le forum ou le chat pour corriger la situation, ou signaler le bug sur le bugtracker.
Les informations suivantes peuvent être utiles à la personne qui vous aide :

Erreur: "500" Internal Server Error

Action: "PUT" /yunohost/api/update/all

Message d'erreur :
Impossible de mettre à jour le cache APT (gestionnaire de paquets Debian). Voici un extrait du fichier sources.list qui pourrait vous aider à identifier les lignes problématiques :
sources.list:deb http://ftp.debian.org/debian bullseye main contrib
sources.list:deb-src http://ftp.debian.org/debian bullseye main contrib
sources.list:deb http://forge.yunohost.org/debian/ bullseye stable
sources.list:deb http://security.debian.org/debian-security bullseye-security main contrib non-free
sources.list:deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free
sources.list:deb http://ftp.debian.org/debian bullseye-updates main contrib non-free
sources.list:deb-src http://ftp.debian.org/debian bullseye-updates main contrib non-free
sources.list.d/openproject.list:deb https://dl.packager.io/srv/deb/opf/openproject/stable/12/debian 10 main
sources.list.d/extra_php_version.list:deb https://packages.sury.org/php/ bullseye main

Pendant le traitement de l'action, le serveur a dit :
Récupération des mises à jour disponibles pour les paquets du système...
E: Repository 'https://dl.packager.io/srv/deb/opf/openproject/stable/12/debian 10 InRelease' changed its 'Origin' value from '' to 'https://packager.io/gh/opf/openproject'
E: Repository 'https://dl.packager.io/srv/deb/opf/openproject/stable/12/debian 10 InRelease' changed its 'Label' value from '' to 'Debian 10 packages for opf/openproject'

Bonsoir,

Tu devrais jeter un oeil à ce thread

:wink:
++

Bonjour,
merci beaucoup @crustyourmind. Cela fonctionne maintenant !

Voici les saisies complètes sous SSH pour ceux qui auraient le même problème:

Pour avoir la commande " add-apt-repository" effective:

sudo apt update
sudo apt install software-properties-common

Pour régler le problème initial:
sudo add-apt-repository --remove ppa:deadsnakes/ppa
Et tout devrait être OK.

Une explication possible (par déduction):
Vu le thread de @mszinte suggéré par @crustyourmind, le point commun est bookstack que j’avais mis à niveau de BookStack (bookstack) de 22.11.1~ynh1 à 22.11.1~ynh2 juste avant que le problème apparaisse. Bookstack à surveiller éventuellement…

1 Like